
package com.google.api.ads.adwords.jaxws.v201302.video;

import java.util.List;
import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.ws.RequestWrapper;
import javax.xml.ws.ResponseWrapper;


/**
 * 
 *       TargetingGroup Service to create and manage TargetingGroups.
 *       <p class="note"><b>Note:</b> This is a Beta feature.</p>
 *     
 * 
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.2.4-b01
 * Generated source version: 2.2
 * 
 */
@WebService(name = "VideoTargetingGroupServiceInterface", targetNamespace = "https://adwords.google.com/api/adwords/video/v201302")
@XmlSeeAlso({
    com.google.api.ads.adwords.jaxws.v201302.cm.ObjectFactory.class,
    com.google.api.ads.adwords.jaxws.v201302.video.ObjectFactory.class
})
public interface VideoTargetingGroupServiceInterface {


    /**
     * 
     *         Returns the list of targeting groups that meet the selector criteria.
     *         
     *         @param selector Determines which targeting groups to return.
     *         If empty, all targeting groups are returned.
     *         @return The list of targeting groups that satisfy the selector.
     *         @throws ApiException if problems occurred while fetching targeting group information.
     *       
     * 
     * @param selector
     * @return
     *     returns com.google.api.ads.adwords.jaxws.v201302.video.TargetingGroupPage
     * @throws ApiException
     */
    @WebMethod
    @WebResult(name = "rval", targetNamespace = "https://adwords.google.com/api/adwords/video/v201302")
    @RequestWrapper(localName = "get", targetNamespace = "https://adwords.google.com/api/adwords/video/v201302", className = "com.google.api.ads.adwords.jaxws.v201302.video.VideoTargetingGroupServiceInterfaceget")
    @ResponseWrapper(localName = "getResponse", targetNamespace = "https://adwords.google.com/api/adwords/video/v201302", className = "com.google.api.ads.adwords.jaxws.v201302.video.VideoTargetingGroupServiceInterfacegetResponse")
    public TargetingGroupPage get(
        @WebParam(name = "selector", targetNamespace = "https://adwords.google.com/api/adwords/video/v201302")
        TargetingGroupSelector selector)
        throws ApiException
    ;

    /**
     * 
     *         Applies the given list of operations, i.e. Add or Set.
     *         ADD - Creates the given TargetingGroup. Each TargetingGroup must reference the campaignId of
     *         an existing campaign.
     *         SET - Updates the given TargetingGroup.
     *         <p>
     *         Note: TargetingGroupOperation does not support the REMOVE operator. To
     *         delete a targeting group, set its status to DELETED.
     *         @param operations A list of unique operations.
     *         The same targeting group name cannot be specified in more than one operation.
     *         @return The list of updated targeting groups, returned in the same order as the
     *         operations list.
     *         @throws ApiException if problems occurred while updating targeting group information.
     *       
     * 
     * @param operations
     * @return
     *     returns com.google.api.ads.adwords.jaxws.v201302.video.TargetingGroupReturnValue
     * @throws ApiException
     */
    @WebMethod
    @WebResult(name = "rval", targetNamespace = "https://adwords.google.com/api/adwords/video/v201302")
    @RequestWrapper(localName = "mutate", targetNamespace = "https://adwords.google.com/api/adwords/video/v201302", className = "com.google.api.ads.adwords.jaxws.v201302.video.VideoTargetingGroupServiceInterfacemutate")
    @ResponseWrapper(localName = "mutateResponse", targetNamespace = "https://adwords.google.com/api/adwords/video/v201302", className = "com.google.api.ads.adwords.jaxws.v201302.video.VideoTargetingGroupServiceInterfacemutateResponse")
    public TargetingGroupReturnValue mutate(
        @WebParam(name = "operations", targetNamespace = "https://adwords.google.com/api/adwords/video/v201302")
        List<TargetingGroupOperation> operations)
        throws ApiException
    ;

}
